<ion-header>
    <ion-navbar>
      <ion-title>
        Índice de massa corporal
      </ion-title>
      <ion-buttons end>
        <div class="icone-imagem">
          <img src="{{ photo }}" class="icone-imagem" (click)="addPerfil2()">
        </div>
      </ion-buttons>
      </ion-navbar>
  </ion-header>

  <ion-content padding >

    <div class="titulo-testes">Resultados</div>

        <ion-item>
            <div class="regiao_grafico">
                <div class="numeros">35<br>31<br>28<br>25<br>22<br>19<br>16
                </div>
                <div class="fundo_grafico">
                </div>
                <div class="linhas">
                </div>
                <div *ngFor="let imc of imcs; let n=index">
                  <div *ngIf="imc.calculo_imc>16 && imc.calculo_imc<35">
              <div class="calculo" [ngStyle]="{'margin-top': (478-((imc.calculo_imc)*14.0)) + 'px', 'margin-left': (27+(n*47.8)) + 'px'}" *ngIf="n<6" (click)="editImc(imc.id_imc)">
                    <span class='texto-grafico'>{{imc.calculo_string}}</span>
                    </div>
                    </div>
                    <div *ngIf="imc.calculo_imc>35">
                        <div class="calculo" [ngStyle]="{'margin-left': (27+(n*47.8)) + 'px'}" *ngIf="n<6" (click)="editImc(imc.id_imc)" >
                            <span class='texto-grafico'>{{imc.calculo_string}}</span>
                            </div>
                            </div>
                            <div *ngIf="imc.calculo_imc<16">
                              <div class="calculo" [ngStyle]="{'margin-top': (280*1) + 'px', 'margin-left': (27+(n*47.8)) + 'px'}" *ngIf="n<6" (click)="editImc(imc.id_imc)" >
                                  <span class='texto-grafico'>{{imc.calculo_string}}</span>
                                  </div>
                                  </div>
                                  <div class="vertical-text"  [ngStyle]="{'margin-left': (4+(n*45.8)) + 'px'}"  *ngIf="imc.calculo_imc>16 && n<6">
                                    {{imc.data_exame | date:"dd/MM/yyyy"}}
                                 </div>
                   <div class="vertical-text"  [ngStyle]="{'margin-top': (360*1) + 'px','margin-left': (4+(n*45.8)) + 'px'}" *ngIf="imc.calculo_imc<16 && n<6">
                      {{imc.data_exame | date:"dd/MM/yyyy"}}
                   </div>
                </div>
                </div>
         </ion-item>
         <ion-item>
          <span class="legenda-principal">Legenda:</span><br><br>
          <span class="legenda-interna"><img src="../assets/imgs/circulo_verde.png" class="circ">Acompanhamento de Rotina</span><br>
          <span class="legenda-interna"><img src="../assets/imgs/circulo_amarelo.png" class="circ">Atenção</span><br>
          <span class="legenda-interna"><img src="../assets/imgs/circulo_vermelho.png" class="circ">Ação</span><br>
        </ion-item>
        <ion-list style="margin:0; padding:0; border-bottom: 1px solid; border-color:#B9B9B9" *ngFor="let imc2 of imcs2; let i=index">
            <div class="titulo-testes" *ngIf="i == 6">Resultados anteriores:</div>
            <ion-item *ngIf="i > 5">
        
          <div class="quebra" (click)="editImc(imc2.id_imc)">
           <span *ngIf="(imc2.calculo_imc > 27 )"><div class="circulo_testes"><img src="assets/imgs/circulo_vermelho.png"></div> 
            <div class="texto-data">{{imc2.data_exame  | date:"dd/MM/yyyy"}}</div><div class="circulo-texto2">Sobre peso</div></span>
            <span *ngIf="(imc2.calculo_imc >= 22) && (imc2.calculo_imc <=27) "><div class="circulo_testes"><img src="assets/imgs/circulo_verde.png"></div>
              <div class="texto-data">{{imc2.data_exame  | date:"dd/MM/yyyy"}}</div>
              <div class="circulo-texto2">Peso Adequado</div></span>
            <span *ngIf="(imc2.calculo_imc < 22)"><div class="circulo_testes"><img src="assets/imgs/circulo_vermelho.png"></div>
              <div class="texto-data">{{imc2.data_exame  | date:"dd/MM/yyyy"}}</div><div class="circulo-texto2">Baixo Peso</div></span>
            <br>       
            </div>
          </ion-item>
        </ion-list>
  </ion-content>
  <ion-footer>
  </ion-footer>
